%define majver 0.52
%define libname %mklibname %{name} %{majver}
%define libdevel %{libname}-devel

Summary:	A development library for text mode user interfaces
Name:		newt
Version:	0.52.20
Release:	%mkrel 4
License:	LGPLv2+
Group:		System/Libraries
URL:		https://pagure.io/newt
Source0:	https://pagure.io/releases/newt/%{name}-%{version}.tar.gz
Patch0:		newt-0.52.19-slang-include.patch
# do not send upstream, customisation
# change the default color palette
Patch1: 	newt-0.52.6-mdvconf.patch
# TODO send upstream ( and find what is this patch )
Patch2: 	newt-0.51.4-fix-wstrlen-for-non-utf8-strings.patch
# splitted, and send upstream by mail ( misc, 24/01/2011 )
Patch3: 	newt-0.52.13-assorted-fixes.patch
BuildRequires:	glibc-static-devel
BuildRequires:	popt-devel
BuildRequires:	python2-devel
BuildRequires:	python3-devel
BuildRequires:	slang-devel
Requires:	slang
# required by alsaconf
Provides:	whiptail

%description
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

%package -n	%{libname}
Summary:	Newt windowing toolkit development files library
Group:		Development/C
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

%package -n	%{libdevel}
Summary:	Newt windowing toolkit development files
Group:		Development/C
Requires:	slang-devel
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Conflicts:	libnewt0.51-devel

%description -n %{libdevel}
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

Install newt-devel if you want to develop applications which will use newt.

%package -n	python2-%{name}
Summary:	Python 2 library for Newt windowing toolkit
Group:		Development/Python
Requires:	%{libname}%{?_isa} = %{version}-%{release}
Provides:	python-%{name} = %{version}-%{release}
Provides:	python-%{name}%{?_isa} = %{version}-%{release}
Conflicts:	newt < 0.52.20-2

%description -n python2-%{name}
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

Install python2-newt if you want to use newt for Python 2 applications.

%package -n	python3-%{name}
Summary:	Python 3 library for Newt windowing toolkit
Group:		Development/Python
Requires:	%{libname}%{?_isa} = %{version}-%{release}

%description -n python3-%{name}
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

Install python3-newt if you want to use newt for Python 3 applications.


%prep
%setup -q
%autopatch -p1


%build
%configure2_5x --with-gpm-support --without-tcl
%make_build all


%install
install -d %{buildroot}
%make_install

ln -snf lib%{name}.so.%{version} %{buildroot}%{_libdir}/lib%{name}.so.%{majver}

%find_lang %{name}


%files -n %{libname}
%doc CHANGES
%license COPYING
%{_libdir}/libnewt.so.*

%files -f %{name}.lang
%doc AUTHORS CHANGES README
%license COPYING
%{_bindir}/whiptail
%{_mandir}/man1/whiptail.1*

%files -n %{libdevel}
%doc tutorial.*
%{_includedir}/newt.h
%{_libdir}/libnewt.a
%{_libdir}/libnewt.so
%{_libdir}/pkgconfig/libnewt.pc

%files -n python2-%{name}
%doc peanuts.py popcorn.py
%{python2_sitearch}/*.so
%{python2_sitearch}/*.py*

%files -n python3-%{name}
%doc peanuts.py popcorn.py
%{python3_sitearch}/*.so
%{python3_sitearch}/*.py*
%{python3_sitearch}/__pycache__/*.py*


%changelog
* Mon Jun 05 2017 ngompa <ngompa> 0.52.20-4.mga6
+ Revision: 1106761
- Get rid of unnecessary Obsoletes + Conflicts, per luigiwalser

* Sun Jun 04 2017 ngompa <ngompa> 0.52.20-3.mga6
+ Revision: 1106674
- Ensure packages are upgraded together properly

* Sun Jun 04 2017 ngompa <ngompa> 0.52.20-2.mga6
+ Revision: 1106670
- Split Python bindings to their own subpackages
- Enable Python 3 bindings
- Slightly modernize package build instructions

* Wed Apr 05 2017 luigiwalser <luigiwalser> 0.52.20-1.mga6
+ Revision: 1095935
- 0.52.20
- update URLs

* Tue May 10 2016 luigiwalser <luigiwalser> 0.52.19-1.mga6
+ Revision: 1011905
- use correct macros for building
- add patch to use correct include dir for slang.h
- 0.52.19

* Mon Feb 08 2016 umeabot <umeabot> 0.52.18-2.mga6
+ Revision: 950471
- Mageia 6 Mass Rebuild

* Mon Nov 03 2014 luigiwalser <luigiwalser> 0.52.18-1.mga5
+ Revision: 795361
- 0.52.18

* Wed Oct 15 2014 umeabot <umeabot> 0.52.17-5.mga5
+ Revision: 738893
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.52.17-4.mga5
+ Revision: 682875
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 tv <tv> 0.52.17-3.mga5
+ Revision: 638036
- remove dietlibc & uclibc builds (no more uneeded by stage1)

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat Feb 22 2014 luigiwalser <luigiwalser> 0.52.17-1.mga5
+ Revision: 595624
- 0.52.17

* Fri Jan 10 2014 pterjan <pterjan> 0.52.16-3.mga4
+ Revision: 566187
- Disable uclibc build

* Sat Oct 19 2013 umeabot <umeabot> 0.52.16-2.mga4
+ Revision: 531722
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 luigiwalser <luigiwalser> 0.52.16-1.mga4
+ Revision: 464813
- 0.52.16

* Sun Jul 07 2013 luigiwalser <luigiwalser> 0.52.15-1.mga4
+ Revision: 450987
- 0.52.15

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 01 2012 tv <tv> 0.52.14-2.mga3
+ Revision: 252926
- add dietlibc & uclibc builds

* Sun Feb 19 2012 luigiwalser <luigiwalser> 0.52.14-1.mga2
+ Revision: 210657
- 0.52.14

* Tue Sep 06 2011 tv <tv> 0.52.13-1.mga2
+ Revision: 139647
- new release
- drop patch 0 & 8 (merged)
- rediff patch 3

* Mon Jan 17 2011 misc <misc> 0.52.11-4.mga1
+ Revision: 21012
- add some comment about patch and provides
- remove old version requires on a long forgotten python version
- rebuilt for new python

  + dmorgan <dmorgan>
    - Get rid of mdv macros
    - imported package newt

